<template>
  <div class="header-comp">
    <div class="mobile-logo">
      <a href="" title="Go to homepage">
        <img :src="require('@/assets/images/logo.svg')" alt="Mobile logo" />
      </a>
    </div>
    <div class="control-card">
      <div class="balance-card">
        <div class="balance-card__title">Account balance</div>
        <div class="d-flex">
          <div class="balance-card__badge">S$</div>
          <div class="balance-card__amount">3,000</div>
        </div>
      </div>
      <div class="add-card">
        <el-button type="text" @click="dialogFormVisible = true">
          <el-icon><circle-plus-filled /></el-icon>
          New card
        </el-button>
      </div>
    </div>
    <AddModal :formVisible="dialogFormVisible" @close-dialog="closeDialog" />
  </div>
</template>

<script>
import { CirclePlusFilled } from '@element-plus/icons-vue';
import AddModal from './AddModal';

export default {
  name: 'Header',
  components: { CirclePlusFilled, AddModal },
  data: () => {
    return {
      dialogFormVisible: false,
    };
  },
  methods: {
    closeDialog() {
      this.dialogFormVisible = false;
    },
  },
};
</script>

<style lang="scss">
.header-comp {
  color: $-white;
  .mobile-logo {
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }
}
.control-card {
  display: flex;
  margin-top: -15px;
}
.balance-card {
  flex: 1;
  .d-flex {
    justify-content: flex-start;
    align-items: center;
  }
  &__title {
    font-size: 14px;
    margin-bottom: 15px;
  }
  &__badge {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 22px;
    font-size: 12px;
    font-weight: bold;
    line-height: 1;
    background-color: $-green;
    border-radius: 4px;
  }
  &__amount {
    font-weight: bold;
    font-size: 24px;
    margin-left: 10px;
  }
}
.add-card {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-end;
  .el-button {
    color: $-light-blue;
    font-weight: bold;
  }
  .el-icon {
    margin-right: 5px;
  }
}
</style>
